Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 6)
@@ -2574,18 +2697,23 @@
                     BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
 
                     // 給与単価
-                    monthSalary = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorCosts].Text);
+                    monthSalary = m_CreatorMonthryCost;
 
                     // 給与計算
                     CostsValue = monthSalary * BetweenTimes;
-                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes.ToString("0.00"), monthSalary.ToString("#,0"));
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, monthSalary.ToString("#,0"));
                 }
+                else if (radioButton2.Checked)
+                {
+                    CodeType = 0;
+                    PersonCode = 0;
+                }
                 else if (radioButton3.Checked)
                 {   // ----- 日数指定
                     // 日数取得
                     int daycount = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.SalaryDays].Text);
                     // 担当給与
-                     monthSalary = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorCosts].Text);
+                    monthSalary = m_CreatorMonthryCost;
                     // 日額給与取得
                     double daylySalary = monthSalary / CommonDefine.s_WorkingDaysOfMonth;
                     CostsValue = daylySalary * daycount;
@@ -2593,10 +2721,9 @@
                 }
 
                 // 工事内容
-                if (!CheckUserAndLeader())
-                {
-                    Content = string.Empty;
-                }
+                if (!CheckUserAndLeader()) Content = string.Empty;
+
+            GridSet:
                 if (CreateRowLine)
                 {
                     object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
@@ -2603,8 +2730,10 @@
                     // データセット
                     RowData[(int)DispGridColumn.FixFlg] = "*";
                     RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.PayrollExpenses;
-                    RowData[(int)DispGridColumn.ItemName] = GroupTitile[(int)GroupName_ConstructionBudget.PayrollExpenses];
+                    RowData[(int)DispGridColumn.ItemName] = GroupTitle[(int)GroupName_ConstructionBudget.PayrollExpenses];
                     RowData[(int)DispGridColumn.TextName] = Content;
+                    RowData[(int)DispGridColumn.CompanyType] = CodeType;
+                    RowData[(int)DispGridColumn.CompanyCode] = PersonCode;
                     RowData[(int)DispGridColumn.EstimatePrice] = "";
                     RowData[(int)DispGridColumn.NegotiationPrice] = "";
                     RowData[(int)DispGridColumn.HopePrice] = CostsValue.ToString("#,0");
@@ -2615,35 +2744,32 @@
                     CreateDataRow(RowData, true);
 
                     // 行位置取得
-                    DataGridView dgv = dgvAllDisplay;
-                    int LineCnt = dgv.RowCount - 1;
-                    m_CostsRowCount[(int)CostsRowLine.ConstructorRowLine] = LineCnt;
+                    m_CostsRowCount[(int)CostsRowLine.ConstructorRowLine] = dgv.RowCount - 1;
+
+                    return;     // 新規作成はここで抜ける
                 }
-                else
-                {
-                    // 給与行取得
-                    int LineCnt = m_CostsRowCount[(int)CostsRowLine.ConstructorRowLine];
-                    if (LineCnt == 0) return;
-                    DataGridView dgv = dgvAllDisplay;
-                    DataGridViewRow CurRow = dgv.Rows[LineCnt];
 
-                    // データセット
-                    CurRow.Cells[(int)DispGridColumn.TextName].Value = Content;
-                    CurRow.Cells[(int)DispGridColumn.EstimatePrice].Value = "";
-                    CurRow.Cells[(int)DispGridColumn.NegotiationPrice].Value = "";
-                    CurRow.Cells[(int)DispGridColumn.HopePrice].Value = CostsValue.ToString("#,0");
-                    CurRow.Cells[(int)DispGridColumn.ExecPrice].Value = CostsValue.ToString("#,0");
-                    CurRow.Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent(CostsValue).ToString("0.00");
+                // 給与行取得
+                int LineCnt = m_CostsRowCount[(int)CostsRowLine.ConstructorRowLine];
+                if (LineCnt == 0) return;
+                DataGridViewRow CurRow = dgv.Rows[LineCnt];
 
-                    // 粗利益行計算
-                    CalculateGrossProfit();
+                // データセット
+                CurRow.Cells[(int)DispGridColumn.TextName].Value = Content;
+                CurRow.Cells[(int)DispGridColumn.EstimatePrice].Value = "";
+                CurRow.Cells[(int)DispGridColumn.NegotiationPrice].Value = "";
+                CurRow.Cells[(int)DispGridColumn.HopePrice].Value = CostsValue.ToString("#,0");
+                CurRow.Cells[(int)DispGridColumn.ExecPrice].Value = CostsValue.ToString("#,0");
+                CurRow.Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent(CostsValue).ToString("0.00");
 
-                    // 純利益計算
-                    CalculateNetIncome();
+                // 粗利益行計算
+                CreateGrossProfit(false);
 
-                    // 合計計算
-                    CalculateAllTotal();
-                }
+                // 純利益計算
+                CreateNetIncome(false);
+
+                // 合計計算
+                CreateAllTotal(false);
             }
             catch (Exception ex)
             {
@@ -2662,29 +2788,31 @@
         {
             DataGridView dgv = dgvAllDisplay;
             // 16期以降のみ処理する
-            if (m_ConstructionBaseInfo.ConstructionPeriod >= 16)
-            {
-                int CreatorLine = m_CostsRowCount[(int)CostsRowLine.ConstructorRowLine];
-                if (CreatorLine == 0) return;
-                CreatorHope = CommonMotions.cnvInt(dgv.Rows[CreatorLine].Cells[(int)DispGridColumn.HopePrice].Value);
-                CreatorExec = CommonMotions.cnvInt(dgv.Rows[CreatorLine].Cells[(int)DispGridColumn.ExecPrice].Value);
-            }
+            if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
+
+            int CreatorLine = m_CostsRowCount[(int)CostsRowLine.ConstructorRowLine];
+            if (CreatorLine == 0) return;
+            CreatorHope = CommonMotions.cnvInt(dgv.Rows[CreatorLine].Cells[(int)DispGridColumn.HopePrice].Value);
+            CreatorExec = CommonMotions.cnvInt(dgv.Rows[CreatorLine].Cells[(int)DispGridColumn.ExecPrice].Value);
         }
         #endregion
 
-        #region 純利益計算
+        #region 純利益作成・再計算
         /// <summary>
-        /// 純利益計算
+        /// 純利益作成・再計算
         /// </summary>
         /// <returns></returns>
-        private void CalculateNetIncome()
+        private void CreateNetIncome(bool CreateRowLine)
         {
             try
             {
                 DataGridView dgv = dgvAllDisplay;
 
+                // 16期以降は給与を表示する
+                if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
+
                 // 受注金額取得
-                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
+                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", ""));
 
                 int EstimatePriceValue = 0;
                 int NegotiationPriceValue = 0;
@@ -2700,22 +2828,52 @@
                 int InstructorExec = 0;
                 GetInstructorLineValue(ref InstructorHope, ref InstructorExec);
 
+                // 副担当者の給与取得
+                int SubCreatorHope = 0;
+                int SubCreatorExec = 0;
+                GetAssistantLineValue(ref SubCreatorHope, ref SubCreatorExec);
+
                 // 担当者の給与取得
                 int CreatorHope = 0;
                 int CreatorExec = 0;
                 GetCreatorLineValue(ref CreatorHope, ref CreatorExec);
 
-                int HopeValue = OrdersPrice - HopePriceValue - InstructorHope - CreatorHope;
-                int ExecValue = OrdersPrice - ExecPriceValue - InstructorExec - CreatorExec;
+                int HopeValue = OrdersPrice - HopePriceValue - InstructorHope - SubCreatorHope - CreatorHope;
+                int ExecValue = OrdersPrice - ExecPriceValue - InstructorExec - SubCreatorExec - CreatorExec;
 
-                // 純利益行カウント取得
-                int LineCnt = m_CostsRowCount[(int)CostsRowLine.NetIncomeRowLine];
-                if (LineCnt == 0) return;
+                if (CreateRowLine)
+                {
+                    object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
+                    // データセット
+                    RowData[(int)DispGridColumn.FixFlg] = "*";
+                    RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.NetIncome;
+                    RowData[(int)DispGridColumn.ItemName] = GroupTitle[(int)GroupName_ConstructionBudget.NetIncome];
+                    RowData[(int)DispGridColumn.EstimatePrice] = "";
+                    RowData[(int)DispGridColumn.NegotiationPrice] = "";
+                    RowData[(int)DispGridColumn.HopePrice] = HopeValue.ToString("#,0");
+                    RowData[(int)DispGridColumn.ExecPrice] = ExecValue.ToString("#,0");
+                    RowData[(int)DispGridColumn.Percent] = CalculattionPercent((double)ExecValue).ToString("0.00");
 
-                // データセット
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.HopePrice].Value = HopeValue.ToString("#,0");
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.ExecPrice].Value = ExecValue.ToString("#,0");
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent((double)ExecValue).ToString("0.00");
+                    // 空白行
+                    AddEmptyRow();
+
+                    // 行セット
+                    CreateDataRow(RowData, true);
+
+                    // 行位置取得
+                    m_CostsRowCount[(int)CostsRowLine.NetIncomeRowLine] = dgv.RowCount - 1;
+                }
+                else
+                {
+                    // 純利益行カウント取得
+                    int LineCnt = m_CostsRowCount[(int)CostsRowLine.NetIncomeRowLine];
+                    if (LineCnt == 0) return;
+
+                    // データセット
+                    dgv.Rows[LineCnt].Cells[(int)DispGridColumn.HopePrice].Value = HopeValue.ToString("#,0");
+                    dgv.Rows[LineCnt].Cells[(int)DispGridColumn.ExecPrice].Value = ExecValue.ToString("#,0");
+                    dgv.Rows[LineCnt].Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent((double)ExecValue).ToString("0.00");
+                }
             }
             catch (Exception ex)
             {
@@ -2724,62 +2882,36 @@
         }
         #endregion
 
-        #region 純利益作成
+        #region 行のクリア
         /// <summary>
-        /// 純利益作成
+        /// 行のクリア
         /// </summary>
         /// <returns></returns>
-        private void CreateNetIncome()
+        private void ClearDetailLine(int RowArrayCount)
         {
             try
             {
-                DataGridView dgv = dgvAllDisplay;
-
                 // 16期以降は給与を表示する
                 if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
 
-                // 受注金額取得
-                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
+                // 行位置取得
+                DataGridView dgv = dgvAllDisplay;
+                int LineCnt = m_CostsRowCount[RowArrayCount];
+                DataGridViewRow wrkRow = dgv.Rows[LineCnt];
 
-                int EstimatePriceValue = 0;
-                int NegotiationPriceValue = 0;
-                int HopePriceValue = 0;
-                int ExecPriceValue = 0;
-                double PercentValue = 0;
+                wrkRow.Cells[(int)DispGridColumn.TextName].Value = "";
+                wrkRow.Cells[(int)DispGridColumn.HopePrice].Value = "0";
+                wrkRow.Cells[(int)DispGridColumn.ExecPrice].Value = "0";
+                wrkRow.Cells[(int)DispGridColumn.Percent].Value = "0.00";
 
-                // 合計値取得
-                GetDetailTotal(ref EstimatePriceValue, ref NegotiationPriceValue, ref HopePriceValue, ref ExecPriceValue, ref PercentValue);
+                // 粗利益行計算
+                CreateGrossProfit(false);
 
-                // 指導員の給与取得
-                int InstructorHope = 0;
-                int InstructorExec = 0;
-                GetInstructorLineValue(ref InstructorHope, ref InstructorExec);
+                // 純利益計算
+                CreateNetIncome(false);
 
-                // 担当者の給与取得
-                int CreatorHope = 0;
-                int CreatorExec = 0;
-                GetCreatorLineValue(ref CreatorHope, ref CreatorExec);
-
-                int HopeValue = OrdersPrice - HopePriceValue - InstructorHope - CreatorHope;
-                int ExecValue = OrdersPrice - ExecPriceValue - InstructorExec - CreatorExec;
-
-                object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
-                // データセット
-                RowData[(int)DispGridColumn.FixFlg] = "*";
-                RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.NetIncome;
-                RowData[(int)DispGridColumn.ItemName] = GroupTitile[(int)GroupName_ConstructionBudget.NetIncome];
-                RowData[(int)DispGridColumn.EstimatePrice] = "";
-                RowData[(int)DispGridColumn.NegotiationPrice] = "";
-                RowData[(int)DispGridColumn.HopePrice] = HopeValue.ToString("#,0");
-                RowData[(int)DispGridColumn.ExecPrice] = ExecValue.ToString("#,0");
-                RowData[(int)DispGridColumn.Percent] = CalculattionPercent((double)ExecValue).ToString("0.00");
-
-                // 行セット
-                CreateDataRow(RowData, true);
-
-                // 行位置取得
-                int LineCnt = dgv.RowCount - 1;
-                m_CostsRowCount[(int)CostsRowLine.NetIncomeRowLine] = LineCnt;
+                // 合計計算
+                CreateAllTotal(false);
             }
             catch (Exception ex)
             {
@@ -2855,13 +2987,11 @@
                 if (GroupCount == (int)GroupName_ConstructionBudget.OutSourceCosts
                     || GroupCount == (int)GroupName_ConstructionBudget.PurchaseCosts
                     || GroupCount == (int)GroupName_ConstructionBudget.MyConstruction)
-                {   // 外注費・自社施工・購入品グループの場合は上に追加
-                    InsertCnt = CurRow.Index;
-                    // タイトルの場合は下
-                    if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1) InsertCnt++;
+                {   // 外注費・自社施工・購入品グループの場合は下に追加
+                    InsertCnt = CurRow.Index + 1;
                 }
                 else if (GroupCount == 0)
-                {   // 空白行で外注費・自社施工・購入品のすぐ後は対象とする
+                {   // 空白行で外注費・自社施工・購入品のすぐ後は対象とする（上に追加）
                     DataGridViewRow wrkRow = dgv.Rows[dgv.CurrentRow.Index - 1];
                     GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value);
                     if (GroupCount == (int)GroupName_ConstructionBudget.OutSourceCosts
@@ -2926,7 +3056,7 @@
                 SetData.Cells[(int)DispGridColumn.ExecPrice].Value = "0";
                 SetData.Cells[(int)DispGridColumn.Percent].Value = "0.00";
                 // フラグセット
-                dgv.Rows[InsertCnt].Cells[(int)DispGridColumn.TitileFlg].Value = "0";
+                dgv.Rows[InsertCnt].Cells[(int)DispGridColumn.TitleFlg].Value = "0";
                 dgv.Rows[InsertCnt].Cells[(int)DispGridColumn.TotalFlg].Value = "0";
                 dgv.Rows[InsertCnt].Cells[(int)DispGridColumn.BlankFlg].Value = "0";
 
@@ -2983,7 +3113,7 @@
                 {   // 外注費・自社施工・購入品グループの場合は削除
                     RemoveCnt = CurRow.Index;
                     // タイトルの場合は削除無
-                    if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1) RemoveCnt = 0;
+                    if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitleFlg].Value) == 1) RemoveCnt = 0;
                 }
 
                 // 選択行が不正ならば処理しない
@@ -3079,11 +3209,11 @@
                     UpCnt = CurRow.Index;
                     // １行上を取得する
                     DataGridViewRow wrkRow = dgv.Rows[dgv.CurrentRow.Index - 1];
-                    if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1)
+                    if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitleFlg].Value) == 1)
                     {   // タイトルの場合は処理しない
                         UpCnt = 0;
                     }
-                    else if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1)
+                    else if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitleFlg].Value) == 1)
                     {   // １行上がタイトルの場合は処理しない
                         UpCnt = 0;
                     }
@@ -3130,7 +3260,7 @@
                     DownCnt = CurRow.Index;
                     // １行下を取得する
                     DataGridViewRow wrkRow = dgv.Rows[dgv.CurrentRow.Index + 1];
-                    if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1)
+                    if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitleFlg].Value) == 1)
                     {   // タイトルの場合は処理しない
                         DownCnt = 0;
                     }
@@ -3233,17 +3363,23 @@
                 // 工事コード
                 work.ConstructionCode = m_ConstructionCode;
                 // 作成者コード
-                work.CreatorCode = m_ConstructionBaseInfo.ConstructionPersonCode;
+                work.CreatorCode = m_Constructor;
                 // 作成者名
                 work.CreatorName = m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text;
                 // 作成者給与
-                work.CreatorCosts = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorCosts].Text);
+                work.CreatorCosts = (double)m_CreatorMonthryCost;
+                // 工事副担当者コード
+                work.AssistantCode = m_SubConstractor;
+                // 工事副担当者名
+                work.AssistantName = m_DspLabelCtrl[(int)DspLblCtrlName.AssistantName].Text;
+                // 工事副担当者給与
+                work.AssistantCosts = (double)m_AssistantMonthryCost;
                 // 工事指導員コード
-                work.InstructorCode = m_ConstructionBaseInfo.ConstructionInstructor;
+                work.InstructorCode = m_Instructor;
                 // 工事指導員名
                 work.InstructorName = m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName].Text;
                 // 工事指導員給与
-                work.InstructorCosts = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.InstructorCosts].Text);
+                work.InstructorCosts = (double)m_InstructorMonthryCost;
                 // 工期（単位・月）
                 work.ConstructionTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
                 // 	契約工期開始
@@ -3252,9 +3388,12 @@
                 work.ConstructionEnd = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
 
                 // 指導員稼働月数
-                work.InstructorTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.InstructorTime].Text);
+                work.InstructorTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
 
-                // 給与振分区分
+                int HopeValue = 0;
+                int ExecValue = 0;
+                // 担当者給与振分区分
+                GetCreatorLineValue(ref HopeValue, ref ExecValue);
                 if (radioButton1.Checked)
                 {
                     work.SalaryFlg = (int)CommonDefine.SalaryDevision.All;       // 全日
@@ -3269,6 +3408,40 @@
                     work.SalaryDays = CommonMotions.cnvInt(textBox1.Text);
                 }
 
+                // 副担当者給与振分区分
+                HopeValue = 0; ExecValue = 0;
+                GetAssistantLineValue(ref HopeValue, ref ExecValue);
+                if (radioButton4.Checked)
+                {
+                    work.A_SalaryFlg = (int)CommonDefine.SalaryDevision.All;       // 全日
+                }
+                else if (radioButton5.Checked)
+                {
+                    work.A_SalaryFlg = (int)CommonDefine.SalaryDevision.Noting;    // 振分無
+                }
+                else if (radioButton6.Checked)
+                {
+                    work.A_SalaryFlg = (int)CommonDefine.SalaryDevision.DaysInput; // 日数入力
+                    work.A_SalaryDays = CommonMotions.cnvInt(textBox2.Text);
+                }
+
+                // 指導員給与振分区分
+                HopeValue = 0; ExecValue = 0;
+                GetInstructorLineValue(ref HopeValue, ref ExecValue);
+                if (radioButton7.Checked)
+                {
+                    work.I_SalaryFlg = (int)CommonDefine.SalaryDevision.All;       // 全日
+                }
+                else if (radioButton8.Checked)
+                {
+                    work.I_SalaryFlg = (int)CommonDefine.SalaryDevision.Noting;    // 振分無
+                }
+                else if (radioButton6.Checked)
+                {
+                    work.I_SalaryFlg = (int)CommonDefine.SalaryDevision.DaysInput; // 日数入力
+                    work.I_SalaryDays = CommonMotions.cnvInt(textBox3.Text);
+                }
+
                 // 検索文字列作成
                 string strWhere = BudgetDB.CreatePrimarykeyString(work.ConstructionCode);
 
@@ -3339,8 +3512,8 @@
                     if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value)) continue;
                     if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != 0) continue;
 
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TitleFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitleFlg].Value) == 1) continue;
 
                     if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value)) continue;
                     if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1) continue;
@@ -3364,17 +3537,13 @@
                     // 項目名称
                     work.FirstString = CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn.ItemName].Value);
                     // 工事内容
-                    if (work.GroupCount == (int)GroupName_ConstructionBudget.PayrollExpenses)
-                    {
-                        wrkRow.Cells[(int)DispGridColumn.TextName].Value = MakePersonSalaryString();
-                    }
                     work.SecondString = CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn.TextName].Value);
                     // 協力会社コードタイプ   
-                    work.CompanyType = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.SubContractorType].Value);
+                    work.CompanyType = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.CompanyType].Value);
                     // 協力会社コード
-                    work.CompanyCode = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.SubContractorCode].Value);
+                    work.CompanyCode = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.CompanyCode].Value);
                     // 協力会社名称
-                    work.CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn.SubContractorName].Value);
+                    work.CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn.CompanyName].Value);
                     // 積算時見積金額
                     work.EstimatePrice = CommonMotions.cnvDouble(wrkRow.Cells[(int)DispGridColumn.EstimatePrice].Value);
                     // 積算時交渉金額
@@ -3469,8 +3638,8 @@
                     if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value)) continue;
                     if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != 0) continue;
 
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value) != 0) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TitleFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitleFlg].Value) != 0) continue;
 
                     if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value)) continue;
                     if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value) != 0) continue;
@@ -3497,7 +3666,6 @@
                         CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_ConstructionBudget.OutSourceCosts ||
                         CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_ConstructionBudget.MyConstruction)
                     {
-
                         // 交渉金額行毎のチェック
                         if (!CommonMotions.chkNumeric(wrkRow.Cells[(int)DispGridColumn.NegotiationPrice].Value))
                         {
@@ -3795,14 +3963,14 @@
 
                 frm.ConstructionCode = m_ConstructionCode;
                 frm.StartupSource = (int)ClsExcute.ProcessExecuteNo.ConstructionBudget;
-                frm.ShowInTaskbar = false;
+                //frm.ShowInTaskbar = false;
                 frm.ShowDialog();
                 if (frm.EndButton == System.Windows.Forms.DialogResult.OK)
                 {
                     SubContractorMaster selRec = frm.SelectData;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorType].Value = frm.DataType;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorCode].Value = selRec.CompanyCode;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorName].Value = selRec.CompanyName;
+                    dgv.CurrentRow.Cells[(int)DispGridColumn.CompanyType].Value = frm.DataType;
+                    dgv.CurrentRow.Cells[(int)DispGridColumn.CompanyCode].Value = selRec.CompanyCode;
+                    dgv.CurrentRow.Cells[(int)DispGridColumn.CompanyName].Value = selRec.CompanyName;
                 }
             }
             catch (System.Exception ex)
@@ -3829,15 +3997,16 @@
                 // 対象グリッド取得
                 DataGridView dgv = dgvAllDisplay;
 
+
                 frm.ConstructionCode = m_ConstructionCode;
-                frm.ShowInTaskbar = false;
+                //frm.ShowInTaskbar = false;
                 frm.ShowDialog();
                 if (frm.EndButton == System.Windows.Forms.DialogResult.OK)
                 {
                     SuppliersMaster selRec = frm.SelectData;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorType].Value = 0;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorCode].Value = selRec.SuppliersCode;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorName].Value = selRec.SuppliersName1 + " " + selRec.SuppliersName2;
+                    dgv.CurrentRow.Cells[(int)DispGridColumn.CompanyType].Value = 0;
+                    dgv.CurrentRow.Cells[(int)DispGridColumn.CompanyCode].Value = selRec.SuppliersCode;
+                    dgv.CurrentRow.Cells[(int)DispGridColumn.CompanyName].Value = selRec.SuppliersName1 + " " + selRec.SuppliersName2;
                     m_bChengeAns = true;
                 }
             }
@@ -3871,8 +4040,6 @@
                 btnDataDelete.Visible = false;
                 btnLineAdd.Visible = false;
                 btnLineDel.Visible = false;
-                button1.Enabled = false;
-                button2.Enabled = false;
 
             }
             catch (Exception ex)
@@ -3882,43 +4049,6 @@
         }
         #endregion
 
-        #region 指導員の行を更新
-        /// <summary>
-        /// 指導員の行を更新する
-        /// </summary>
-        private void UpDateInstructorLine()
-        {
-            try
-            {
-                // 設定無は処理しない
-                if (m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] < 1) return;
-                
-                // 工期取得
-                double BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
-                // デフォルト項目
-                string ItemString = string.Empty;
-                // 工事内容
-                string Content = string.Empty;
-                // 指導員単価
-                double dCosts = 0;
-                // 行データ作成
-                CreateInstructorData(ref dCosts, ref ItemString, ref Content);
-
-                DataGridViewRow RowData = dgvAllDisplay.Rows[m_CostsRowCount[(int)CostsRowLine.InstructorRowLine]];
-                // データセット
-                RowData.Cells[(int)DispGridColumn.ItemName].Value = ItemString;
-                RowData.Cells[(int)DispGridColumn.TextName].Value = Content;
-                RowData.Cells[(int)DispGridColumn.HopePrice].Value = dCosts.ToString("#,0");
-                RowData.Cells[(int)DispGridColumn.ExecPrice].Value = dCosts.ToString("#,0");
-                RowData.Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent((dCosts * BetweenTimes)).ToString("0.00");
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region セルの入力後処理
         /// <summary>
         /// セルの入力後処理
@@ -3935,8 +4065,8 @@
                 if (CommonMotions.chkObjectIsNull(dgv.Rows[e.RowIndex].Cells[(int)DispGridColumn.TotalFlg].Value)) return;
                 if (CommonMotions.cnvInt(dgv.Rows[e.RowIndex].Cells[(int)DispGridColumn.TotalFlg].Value) != 0) return;
 
-                if (CommonMotions.chkObjectIsNull(dgv.Rows[e.RowIndex].Cells[(int)DispGridColumn.TitileFlg].Value)) return;
-                if (CommonMotions.cnvInt(dgv.Rows[e.RowIndex].Cells[(int)DispGridColumn.TitileFlg].Value) != 0) return;
+                if (CommonMotions.chkObjectIsNull(dgv.Rows[e.RowIndex].Cells[(int)DispGridColumn.TitleFlg].Value)) return;
+                if (CommonMotions.cnvInt(dgv.Rows[e.RowIndex].Cells[(int)DispGridColumn.TitleFlg].Value) != 0) return;
 
                 if (CommonMotions.chkObjectIsNull(dgv.Rows[e.RowIndex].Cells[(int)DispGridColumn.BlankFlg].Value)) return;
                 if (CommonMotions.cnvInt(dgv.Rows[e.RowIndex].Cells[(int)DispGridColumn.BlankFlg].Value) != 0) return;
